<!DOCTYPE html>
<html lang="en">

  <head>
    <meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

<meta property="og:title" content="Would you be interested in a &#34;How To Promote Your Show or Film&#34; ebook?" />
<meta property="og:description" content="So, it&rsquo;s new project season here at Guerilla Showrunner Towers, and as you may have seen on Twitter, I&rsquo;m considering working on a more detailed manual for show promotion than I could offer in a blog post.
Now, I&rsquo;ve made the mistake of developing something big without checking it&rsquo;s needed before, and it just wastes everyone&rsquo;s time.
So - would you be interested in buying a complete guide to promoting your online film or series?" />
<meta property="og:type" content="article" />
<meta property="og:url" content="http://www.guerillashowrunner.com/2011/05/would-you-be-interested-in-a-how-to-promote-your-show-or-film-ebook/" />


<meta property="og:updated_time" content="2011-05-03T16:02:14&#43;00:00"/>











<meta itemprop="name" content="Would you be interested in a &#34;How To Promote Your Show or Film&#34; ebook?">
<meta itemprop="description" content="So, it&rsquo;s new project season here at Guerilla Showrunner Towers, and as you may have seen on Twitter, I&rsquo;m considering working on a more detailed manual for show promotion than I could offer in a blog post.
Now, I&rsquo;ve made the mistake of developing something big without checking it&rsquo;s needed before, and it just wastes everyone&rsquo;s time.
So - would you be interested in buying a complete guide to promoting your online film or series?">


<meta itemprop="dateModified" content="2011-05-03T16:02:14&#43;00:00" />
<meta itemprop="wordCount" content="262">



<meta itemprop="keywords" content="courses,hard-information,infobites,interviews,rants,advice,analytics,andrew-chen,burnieburns,busybusy,camerawork,conversions,courses,crazed-stalkers,crowdsourced-funding,customisation,deisgn,design,designer,digg,fans,fear,fhww,funding,funnel,goals,hats,hosting,howto,indiegogo,inner-game,interviews,ittybiz,kickstarter,load,make-people-watch-your-stuff,making-the-show,managing,marketing,metrics,monetizing,money,more-fans,moviestorm,news,off-site-clicks,painting,plugins,pro-show,productivity,promotion,publicity,question,redvsblue,rule-of-thirds,sales,seo,setup,stupidity,terminology,testing,themes,thesis,time-management,tips,todo,traffic,tutorial,vimeo,viral,webdesign,website,what-you-should-do,wordpress,youtube,zmm," />



  <meta name="twitter:card" content="summary"/>



<meta name="twitter:title" content="Would you be interested in a &#34;How To Promote Your Show or Film&#34; ebook?"/>
<meta name="twitter:description" content="So, it&rsquo;s new project season here at Guerilla Showrunner Towers, and as you may have seen on Twitter, I&rsquo;m considering working on a more detailed manual for show promotion than I could offer in a blog post.
Now, I&rsquo;ve made the mistake of developing something big without checking it&rsquo;s needed before, and it just wastes everyone&rsquo;s time.
So - would you be interested in buying a complete guide to promoting your online film or series?"/>










<meta name="generator" content="Hugo 0.18.1" />


    <link rel="canonical" href="index.html">

    <title>Would you be interested in a &ldquo;How To Promote Your Show or Film&rdquo; ebook? | Guerilla Showrunner</title>

    <!-- combined, minified CSS -->
    <link href="../../../css/style.css" rel="stylesheet"   crossorigin="anonymous">

    

    

    

    

  </head>

  <body>

<div id="disclaimer" style="display: block; visibility: visible; top: 0; width: 100%;        font-size: 25px; color: #eee; background-color: #333; border: 2px solid #888; margin-bottom: 30px; padding-left: 10%; padding-right: 10%;"> <a href="https://en.wikipedia.org/wiki/Strange_Company" style="color: #55c;">Strange Company</a>`s Director, <a href="https://www.heraldscotland.com/opinion/16060383.obituary-hugh-russell-paul-hancock-machinima-founder-virtual-reality-pioneer/" style="color: #55c;">Hugh Hancock</a>, died in 2018. <strong>Strange Company</strong> is no longer a registered Company. This site is part of his body of work, and as such it is hosted and maintained by a group of volunteers and as an archive of his work. A comprehensive list of the works being archived can be found <a href="https://strangecompany.org/archive/">here</a>. If you have any problems with the site,     please <a href="https://forms.gle/boqVcQxNyVvYFFEW7" style="color: #55c;">report them using this form</a>. </div>

    <div class="blog-masthead">
      <div class="container">
        <nav class="nav blog-nav">
          <a class="nav-link " href="../../../index.html">Home</a>
          
          
          <a class="nav-link" href="../../../how-to-webpage/how-to-webpage/index.html">The Complete Guide To Setting Up Your Webseries Webpage</a>
          
          <a class="nav-link" href="../../../consulting/consulting/index.html">Consulting</a>
          
          <a class="nav-link" href="../../../crazed-stalkers-free/crazed-stalkers-free/index.html">Get More Crazed Stalkers - the free course</a>
          
          <a class="nav-link" href="../../../about/about/index.html">About / Contact</a>
          
          
        </nav>
      </div>
    </div>

    <header class="blog-header">
      <div class="container">
        <h1 class="blog-title"><a href="../../../index.html" rel="home">Guerilla Showrunner</a></h1>
        <p class="lead blog-description">Make your webseries. Better. Faster. Now</p>
      </div>
    </header>

    <div class="container">
      <div class="row">
        <div class="col-sm-12 blog-main">

          


<article class="blog-post">
  <header>
    <h2 class="blog-post-title"><a href="index.html">Would you be interested in a &ldquo;How To Promote Your Show or Film&rdquo; ebook?</a></h2>
    <p class="blog-post-meta"><time datetime="2011-05-03T16:02:14Z">Tue May 3, 2011</time> by admin in 
<i class="fa fa-folder" aria-hidden="true"></i>&nbsp;<a href="../../../categories/courses.html" rel="category tag">Courses</a>


<i class="fa fa-tag" aria-hidden="true"></i>&nbsp;<a href="../../../tags/courses.html" rel="tag">courses</a>, <a href="../../../tags/promotion.html" rel="tag">promotion</a>, <a href="../../../tags/question.html" rel="tag">question</a>

</p>
  </header>
  <p>So, it&rsquo;s new project season here at Guerilla Showrunner Towers, and as you may have seen on Twitter, I&rsquo;m considering working on a more detailed manual for show promotion than I could offer in a blog post.</p>

<p>Now, I&rsquo;ve made the mistake of developing something big without checking it&rsquo;s needed before, and it just wastes everyone&rsquo;s time.</p>

<p>So - would you be interested in buying a complete guide to promoting your online film or series? It&rsquo;d basically cover the same strategies that I used to get <a href="http://www.bloodspell.com">BloodSpell</a> 100k+ viewers and exposure on CNN and a whole bunch of other places, <a href="http://www.kamikazecookery.com">Kamikaze Cookery</a> featured all over the &lsquo;net, and so on, plus a whole bunch of new stuff I&rsquo;ve learned in the last couple of years.</p>

<p>Topics I&rsquo;m currently thinking to cover would include:</p>

<ul>
<li><p>How to network outside the web series community to get your show wider exposure</p></li>

<li><p>How to make sure from Day 1 that your show has a large audience who will watch it.</p></li>

<li><p>How to use sites like Reddit, Digg, and Stumbleupon to drive the viewers you want to your film or show</p></li>

<li><p>Offline press - how to approach them, how to win them over.</p></li>

<li><p>How to use search engine optimisation and article marketing with your videos to create steady traffic streams.</p></li>

<li><p>Advertising - what works, what doesn&rsquo;t, and where to get it at affordable rates</p></li>

<li><p>How to cut trailers, and how to use them</p></li>
</ul>

<p>So - sound interesting enough to spend a bit of cash on? And if so, what topics would you be particularly interested in seeing covered?</p>


  

  
  <hr>
  <footer>

  
    <section>
    <h4>Share</h4>
    <nav class="nav sharing-icons">
      <a class="nav-item" href="https://www.facebook.com/sharer/sharer.php?u=http%3a%2f%2fwww.guerillashowrunner.com%2f2011%2f05%2fwould-you-be-interested-in-a-how-to-promote-your-show-or-film-ebook%2f" title="Share on Facebook"><span class="fa fa-facebook fa-2x" aria-hidden="true"></span></a>
      <a class="nav-item" href="https://plus.google.com/share?url=http%3a%2f%2fwww.guerillashowrunner.com%2f2011%2f05%2fwould-you-be-interested-in-a-how-to-promote-your-show-or-film-ebook%2f" title="Share on Google+"><span class="fa fa-google-plus fa-2x" aria-hidden="true"></span></a>
      <a class="nav-item" href="https://www.linkedin.com/shareArticle?mini=true&amp;url=http%3a%2f%2fwww.guerillashowrunner.com%2f2011%2f05%2fwould-you-be-interested-in-a-how-to-promote-your-show-or-film-ebook%2f" title="Share on LinkedIn"><span class="fa fa-linkedin fa-2x" aria-hidden="true"></span></a>
      <a class="nav-item" href="https://twitter.com/home?status=http%3a%2f%2fwww.guerillashowrunner.com%2f2011%2f05%2fwould-you-be-interested-in-a-how-to-promote-your-show-or-film-ebook%2f" title="Tweet this"><span class="fa fa-twitter fa-2x"></span></a>
    </nav>
  </section>

  

  
  </footer>
  

</article> 



        </div> <!-- /.blog-main -->


      </div> <!-- /.row -->
    </div> <!-- /.container -->

    <footer class="blog-footer">
      <p>
      
      Blog template created by <a href="https://twitter.com/mdo">@mdo</a>, ported to Hugo by <a href='https://twitter.com/mralanorth'>@mralanorth</a>.
      
      </p>
      <p>
      <a href="index.html#">Back to top</a>
      </p>
    </footer>
<script>
  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');

  ga('create', 'UA-696676-8', 'auto');
  ga('send', 'pageview');

</script>
  </body>

</html>
